import request from '@/config/axios'


// 创建语言转换
export const createTranslatorDeepl = (params) => {
  return request.get({ url: '/system/translator-deepl/create', params })
}


// // 创建语言转换
// export function createTranslatorDeepl(data) {
//   return request({
//     url: '/system/translator-deepl/create',
//     method: 'post',
//     data: data
//   })
// }

// 更新语言转换
export function updateTranslatorDeepl(data) {
  return request.put({
    url: '/system/translator-deepl/update',
    method: 'put',
    data: data
  })
}

// 删除语言转换
export function deleteTranslatorDeepl(id) {
  return request.delete({
    url: '/system/translator-deepl/delete?id=' + id,
    method: 'delete'
  })
}

// 获得语言转换
export function getTranslatorDeepl(id) {
  return request.get({
    url: '/system/translator-deepl/get?id=' + id,
    method: 'get'
  })
}


// // 创建语言转换
// export const getTranslatorDeeplPage = (params) => {
//   return request.get({ url: '/system/translator-deepl/page', params })
// }

// 获得语言转换分页
export function getTranslatorDeeplPage(query) {
  return request.get({
    url: '/system/translator-deepl/page',
    method: 'get',
    params: query
  })
}

// 导出语言转换 Excel
export function exportTranslatorDeeplExcel(query) {
  return request.get({
    url: '/system/translator-deepl/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}






